# Release process

TfStated follows [semver](https://semver.org/) versioning.

## Patch releases

Patch releases are published frequently and provide fixes for bugs and security
vulnerabilities in TfStated or its dependencies. Only the latest published
feature released should be expected to be maintained.

Fixes for older feature releases might happen if someone [hires
me](mailto:julien.dessaux@adyxax.org) to maintain them.

## Feature releases

Feature releases are less frequent and do not follow a strict schedule.
Administrators interested in new features should follow [the project's
milestones](https://git.adyxax.org/adyxax/tfstated/milestones) to get an idea of
when the next feature release might come. Everyone is welcome to voice their
interest in features by commenting on their respective issues.

Administrators should [backup](./Backup) and thoroughly read the [release
notes](https://git.adyxax.org/adyxax/tfstated/releases) for each version before
[upgrading](./Upgrading). Only upgrades from one feature release to the next in
one of the deployment options listed in this guide will be tested.

Skipping feature releases might or might not work: use your best judgement based
on the contents of the release notes. Another option is to [hire
me](mailto:julien.dessaux@adyxax.org) to help perform your upgrades.
